Bug 607576 - [abrt] crash in yumex-2.9.7-1.fc12: grabber.py:427:<module>:ImportError: /usr/local/zend/lib/libcurl.so.4: cannot restore segment prot after reloc: Permission denied
[abrt] crash in yumex-2.9.7-1.fc12: grabber.py:427:<module>:ImportError: /usr...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
abrt_hash:51fdc07a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 08:16 EDT by Ahamed Rasheed C K
Modified: 2010-07-07 02:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 02:48:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.27 KB, text/plain)
2010-06-24 08:17 EDT, Ahamed Rasheed C K
no flags Details
screen shot of the message produced on doing as per instructions (189.26 KB, image/png)
2010-06-28 02:31 EDT, Ahamed Rasheed C K
no flags Details

  None (edit)
Description Ahamed Rasheed C K 2010-06-24 08:16:56 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/share/yumex/yumex.pyc
component: yumex
executable: /usr/share/yumex/yumex.pyc
kernel: 2.6.32.14-127.fc12.i686
package: yumex-2.9.7-1.fc12
reason: grabber.py:427:<module>:ImportError: /usr/local/zend/lib/libcurl.so.4: cannot restore segment prot after reloc: Permission denied
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.I was not able to do yum update then I tried to yumex then it closed
Comment 1 Ahamed Rasheed C K 2010-06-24 08:17:00 EDT
Created attachment 426545 [details]
File: backtrace
Comment 2 Tim Lauridsen 2010-06-25 02:48:36 EDT
If yum is not working from the command line, then yumex will not work to

/usr/local/zend/lib/libcurl.so.4: look a little strange to me

the default libcurl.so.4 is located in /usr/lib/libcurl.so.4

So it look like you have installed something there is messing with our system.

try 

rpm -qf /usr/local/zend/lib/libcurl.so.4

to locate the package there has installed it.

If it is not installed by a package, then you must have installed something from source.
Comment 3 Ahamed Rasheed C K 2010-06-28 02:31:49 EDT
Created attachment 427314 [details]
screen shot of the message produced on doing as per instructions
Comment 4 Ahamed Rasheed C K 2010-06-28 02:33:25 EDT
Sir, 
I had done as per ur advice , also tried the yum update . It errs that the yum database disk image is malformed

kindly help me

Rasheed
Comment 5 Tim Lauridsen 2010-07-07 02:52:01 EDT
It look like you have some old libcurl, try to download a recent one from a F12 repo and update it using rpm -Uvh ...

Note You need to log in before you can comment on or make changes to this bug.